<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateZhTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_categories_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('category_id', 36);
            $table->string('name');
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_posts_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('post_id', 36);
            $table->string('title');
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_informations_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('information_id', 36);
            $table->string('title');
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_menus_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('menu_id', 36);
            $table->string('name');
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_pages_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('page_id', 36);
            $table->string('title');
            $table->text('content')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_categories_zh');
        Schema::dropIfExists('swp_posts_zh');
        Schema::dropIfExists('swp_informations_zh');
        Schema::dropIfExists('swp_menus_zh');
        Schema::dropIfExists('swp_pages_zh');
    }
}
